﻿@{
    ViewData["Title"] = "Fetch transaction";
}

<div style="display:flex; justify-content:space-between">
    <div>currency</div>
    <div>status</div>
    <div>mindate</div>
    <div>maxdate</div>
</div>
<div style="display:flex; justify-content:space-between">
    <input id="currency" />
    <input id="status" />
    <input type="date" id="mindate" />
    <input type="date" id="maxdate" />
</div>

<button onclick="FetchTransaction() ">Fetch transaction</button>

<br/>

<pre id="content"></pre>

<script>
    function FetchTransaction() 
    {
        let currency = document.getElementById('currency').value;
        let status = document.getElementById('status').value;
        let mindate = document.getElementById('mindate').value;
        let maxdate = document.getElementById('maxdate').value;
        
        $.ajax({
            type: "GET",
            url: window.location.origin + `/api/transaction?currency=${currency}&status=${status}&mindate=${mindate}&maxdate=${maxdate}&`,
            success: function (data) {
                document.getElementById("content").textContent = JSON.stringify(data, undefined, 2);
            },
            error: function (error) {
                document.getElementById("content").textContent = JSON.stringify(error, undefined, 2);
            },
            processData: false,
            contentType: false
        });
    }

</script>